#include "Font.h"
#include "Server.h"

namespace Visibility {

Font::Font(std::string name) {
	Server * server = Server::instance();
	font = XftFontOpenName(server->display, server->default_screen, name.c_str());
}

Font::~Font() {
	Server * server = Server::instance();
	XftFontClose(server->display, font);
}

void Font::get_metrics(std::string text, TextMetrics & metrics) {
	Server * server = Server::instance();
	XftTextExtentsUtf8(server->display, font, (XftChar8*)text.c_str(),
			text.length(), &metrics.extents);
	metrics.ascent = font->ascent;
	metrics.descent = font->descent;
	metrics.height = font->height;
}

}
